This is a development version of the documentation. Content may change without notice.
Voke Documentation
ReferenceREST API

Mqtt debug

MQTT debugging helpers

Query MQTT debug log for a plant

GET
/api/v1/mqtt-debug-log

Query Parameters

plantId*string

Plant ID

Formatuuid
from*string

Start time (ISO 8601)

to*string

End time (ISO 8601)

limit?number

Max results (default 200)

Default200
Range1 <= value <= 2000
topic?string

Topic filter

Value in"telemetry" | "status" | "ack" | "command" | "info" | "alarm" | "config"
success?boolean

Filter by parse success/failure

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/mqtt-debug-log?plantId=497f6eca-6276-4993-bfeb-53cbbbba6f08&from=string&to=string"
{
  "data": [
    {
      "byte_length": 0,
      "error_message": "string",
      "parse_success": true,
      "plant_id": "string",
      "raw_hex": "string",
      "raw_payload": "string",
      "time": "2019-08-24T14:15:22Z",
      "topic": "telemetry"
    }
  ],
  "total": 0
}
{
  "code": "VALIDATION_ERROR",
  "details": {},
  "error": "Bad Request",
  "message": "Validation error",
  "statusCode": 400
}
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "FORBIDDEN",
  "details": {},
  "error": "Forbidden",
  "message": "Forbidden",
  "statusCode": 400
}
{
  "code": "PLANT_NOT_FOUND",
  "details": {},
  "error": "Not Found",
  "message": "Plant not found",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}